﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace MyMod
{
    public class GameComponent_MyTestComp : GameComponent
    {
        public GameComponent_MyTestComp()
        {

        }

        public GameComponent_MyTestComp(Game game)
        {

        }

        public override void GameComponentTick()
        {
            base.GameComponentTick();

            if(Find.TickManager.TicksGame % 500 == 0)
            {
                for(int i = 0; i < MyMod.MyModSettings.lightningCount; i++)
                {
                    Find.CurrentMap.weatherManager.eventHandler.AddEvent(new WeatherEvent_LightningStrike(Find.CurrentMap,
                                            Find.CurrentMap.AllCells.Where(x => x.Walkable(Find.CurrentMap) && !x.Roofed(Find.CurrentMap)).RandomElement()));
                }
            }
        }
    }
}
